#!/bin/bash
# Run on the hub

module load selenium/4.18.1-foss-2021b-Python-3.9.6
module load chromedriver-py/107.0.5304.62-foss-2021b-Python-3.9.6
module load tqdm/4.66.2-foss-2021b-Python-3.9.6
module load pandas/1.5.3-foss-2021b-Python-3.9.6
module load typing-extensions/4.9.0-GCCcore-11.2.0



if [[ $1 != "" ]]; then
    level=$1
else
    level="None"
fi
if [[ $2 != "" ]]; then
    region=$2
else
    region="africa"
fi
if [[ $3 != "" ]]; then
    variable=$3
else
    variable="t-z"
fi

if [[ $4 != "" ]]; then
    startdate=$4
else
    startdate=$(date --date="4 days ago" +%Y%m%d)
fi
if [[ $5 != "" ]]; then
    enddate=$5
else
    enddate=$(date +%Y%m%d)
fi

python3 /esarchive/recon/ecmwf/ecmwf_plots/scripts/ecmwf_plots.py -e $enddate -s $startdate -l $level -r $region -v $variable
